import java.io.*;


class LeeKeslerMixTest
{
 public static void main(String s[]) throws IOException
 {
   double V,T,P;
   Text cin=new Text();
   String isim="diesel1";
   //System.out.print("isim = ");
   //isim=cin.readString();
   LeeKeslerMix x=new LeeKeslerMix(isim);
   System.out.println("isim   = "+x.GasEquation);
   System.out.println("isim   = "+x.Name);
   System.out.println("formul = "+x.Formula);
   System.out.println("formul(atom sinifi) = "+x.toString());
   System.out.println("N = "+x.N+" M = "+x.M);
   System.out.println("MolWt  = "+x.MolWt);
   System.out.println("M      = "+x.M);
   System.out.println("Tfp    = "+x.Tfp);
   System.out.println("Tb     = "+x.Tb);
   System.out.println("Tc     = "+x.Tc);
   System.out.println("Pc     = "+x.Pc);
   System.out.println("Vc     = "+x.Vc);
   System.out.println("Zc     = "+x.Zc);
   System.out.println("Omega  = "+x.Omega);
   System.out.println("Dipm   = "+x.Dipm);
   System.out.println("CPVAPA = "+x.CPC[0]);
   System.out.println("CPVAPB = "+x.CPC[1]);
   System.out.println("CPVAPC = "+x.CPC[2]);
   System.out.println("CPVAPD = "+x.CPC[3]);
   System.out.println("DELHF  = "+x.DELHF);
   System.out.println("DELGF  = "+x.DELGF);
   System.out.println("DELS0  = "+x.DELS0);
   System.out.println("VPEq   = "+x.VPEq);
   System.out.println("VPA    = "+x.VPC[0]);
   System.out.println("VPB    = "+x.VPC[1]);
   System.out.println("VPC    = "+x.VPC[2]);
   System.out.println("VPD    = "+x.VPC[3]);
   System.out.println("Tmin   = "+x.Tmin);
   System.out.println("Tmax   = "+x.Tmax);
   System.out.println("LDEN   = "+x.LDEN);
   System.out.println("TDEN   = "+x.TDEN);   
   System.out.print("kaynama basıncı P = ");
   P=cin.readDouble();
   T=x.Tb_min(P);
   System.out.print("kaynama başlama sıcaklığı Tmin = "+x.Tb_min(P));
   System.out.print("kaynama bitiş sıcaklığı Tmax = "+x.Tb_max(P));
   System.out.print("kaynama entalpisi Lee Kesler = "+x.dH_P_LK_SVL1(P));
   System.out.print("kaynama entalpisi Lee Kesler = "+x.dH_P_LK_SVL1(P));   
   System.out.println("\nP ****  = "+P);
   System.out.println("\nV ****  = "+x.V_TP_LK_V(T,P));
   System.out.println("VL   = "+x.V_TP_LK_L(T,P));
   System.out.println("V_T_BE_SL   = "+x.V_T_BE_SL(T));
   V=x.V_TP_LK_V(T,P);
   System.out.println("V_TP_LK_V   = "+V);
   System.out.println("Z_TV_LK_V(T,V)   = "+x.Z_TV_LK_V(T,V));
   System.out.println("Z_TP_PR_V(T,P)   = "+x.Z_TP_PR_V(T,P));
   System.out.println("Z_TP_LK_V(T,P)   = "+x.Z_TP_LK_V(T,P));
   System.out.println("Z_TP_LK_L(T,P)   = "+x.Z_TP_LK_L(T,P));
   System.out.println("P_TV_LK_V(T,V)   = "+x.P_TV_LK_V(T,x.V_TP_LK_V(T,P)));
   System.out.println("P_T_SV   = "+x.P_T_SV(T));
   System.out.println("T_P_SV   = "+x.T_P_SV(P));
   System.out.println("P_T_WE_SV   = "+x.P_T_WE_SV(T));
   System.out.println("T_P_WE_SV   = "+x.T_P_WE_SV(P));
   System.out.println("P_T_LK_SV   = "+x.P_T_LK_SV(T));
   System.out.println("T_P_LK_SV   = "+x.T_P_LK_SV(P));
   System.out.println("P_T_GT_SV   = "+x.P_T_GT_SV(T));
   System.out.println("T_P_GT_SV   = "+x.T_P_GT_SV(P));
   System.out.println("dH_P_TS_SVL  = "+x.dH_P_TS_SVL(P));
   System.out.println("dH_P_LK_SVL  = "+x.dH_P_LK_SVL(P));
   System.out.println("dH_P_WE_SVL  = "+x.dH_P_WE_SVL(P));
   System.out.println("dH_P_VE_SVL  = "+x.dH_P_VE_SVL(P));
   System.out.println("Cp_T_IG_V   = "+x.Cp_T_IG_V(T));
   System.out.println("dCs_T_BR_L   = "+x.dCs_T_BR_L(T));
   System.out.println("Cp_T_BR_SL   = "+x.Cp_T_BR_SL(T));
   System.out.println("dh_TP_LK_V   = "+x.dh_TP_LK_V(T,P));
   System.out.println("dh_TP_LK_L   = "+x.dh_TP_LK_L(T,P));
   System.out.println("dh_TP_LK_V   = "+x.dh_TP_LK_V(T,P));
   System.out.println("h_T_IG_V   = "+x.h_T_IG_V(T));
   System.out.println(x.toString(T,P));
   System.out.println(x.zone(T,P));
   }
}
